<?php if(!defined('PLX_ROOT')) exit;
$plxPlugin = $plxAdmin->plxPlugins->aPlugins['plxResponsiveSlidesJs'];//simplify
?>
<pre style="font-size:12px">
Activation du plugin
- aller dans le menu <a href="parametres_plugin.php">Paramètres > Plugins</a>
- cocher le plugin plxResponsiveSlidesJs et dans le déroulant "Pour la sélection", sélectionner le menu "Activer"

Configuration du diaporama ResponsiveSlidesJs
- Retourner au menu <a href="parametres_plugin.php">Paramètres > Plugins</a>, et cliquer sur le lien <a href="parametres_plugin.php?p=plxResponsiveSlidesJs">Configuration</a> du plugin ResponsiveSlidesJs

Pour ajouter des images au diaporama
- aller dans le <a href="medias.php">gestionnaire des médias</a>
- cocher les images à ajouter dans le diaporama
- dans le déroulant "Pour la sélection", sélectionner le menu ResponsiveSlidesJs > Ajouter au diaporama

Activation et personnalisation des images du diaporama
- allez dans le <a href="plugin.php?p=plxResponsiveSlidesJs">menu de ResponsiveSlidesJs</a> (dans le menu vertical de l'administration)
- renseigner les champs titre et description des images
- activer l'affichage en choisissant la valeur "Oui" dans la colonne "Active"
- cliquer sur le bouton "Modifier la liste des images" pour enregistrer les modifications

Comment afficher le diaporama sur son site
- éditer le fichier header.php ou tout autre fichier de son theme
- ajouter la ligne suivante à l'endroit où vous souhaitez afficher le diaporama

<div style="color:#000;padding:0 10px 15px 10px;border:1px solid #dedede">
<?php echo plxUtils::strCheck('<?php eval($plxShow->callHook("ResponsiveSlidesJs")) ?>') ?>
</div>

Affichage du diaporama dans une page statique
- éditer le contenu d'une page statique et allant dans la gestion des pages statiques: menu "Pages tatiques" dans l'administration
- ajouter les lignes suivantes à l'endroit où vous souhaitez afficher le diaporama

<div style="color:#000;padding:0 10px 15px 10px;border:1px solid #dedede">
<?php 
echo plxUtils::strCheck('
<?php
global $plxShow;
eval($plxShow->callHook("ResponsiveSlidesJs")); 
?>
');
?>
</div>
Ceci permet de prevenir l'internaute avec une <em>image d'attente</em> (gif ou autre) en css (base 64) qui se cache après <?php echo $plxPlugin->getParam('remClassLoad') ?> millisecondes une fois la page chargée.
Le plugin retire la classe <em><?php echo $plxPlugin->getParam('loadClass') ?></em> au conteneur diaporama.
Il vous suffit d'ajouter dans votre fichier css les règles pour la classe <code>.<?php echo $plxPlugin->getParam('loadClass') ?>{}</code> ou de vous servir de l'outil ci-dessous :)
<div style="background-color:lavender">
<b>Outil pour créer l'image d'attente&nbsp;:</b>
<?php
$submit_value = "convertir l'image";
$label_text = "Chemin de l'image a convertir en base64&nbsp;";
$racine = isset($_SERVER['SCRIPT_FILENAME'])?$_SERVER['SCRIPT_FILENAME']:$_SERVER['PHP_SELF'];//On
$racine = substr($racine, 0, strpos($racine, "core/admin"));//dé-symlink
$racine .= str_replace(PLX_ROOT,'',PLX_PLUGINS);//le fichier d'aide plugin
include($racine.'plxResponsiveSlidesJs/lib/convert_tool.inc.php');//Pour inclure l'outil
?>

Placer le code d'exemple ci-dessous dans <a href="parametres_plugincss.php?p=plxResponsiveSlidesJs">Paramètres > Plugins > Code CSS > site.css</a> ou dans le css de votre theme&nbsp;:
<div style="color:#000;padding:0 10px 15px 10px;background-color:black;border:1px solid white;">
<code style="background-color:white"><?php 
echo plxUtils::strCheck('
.'.$plxPlugin->getParam('loadClass').' {/* '.$path.' */
  background: transparent url('.$base64.') no-repeat 88% center;
  background-position: center;
  background-size: 27%;
  }
');
?></code>
</div>
et adapter le au besoin.
</div>
<strong>ResponsiveSlides.js v1.55</strong>: Simple &amp; lightweight responsive slider plugin (in 1kb).
<a href="http://responsiveslides.com">responsiveslides.com</a>

Version (non officielle lazyfier) par&nbsp;: <a href="http://sudwebdesign.free.fr/index.php?article7">sudwebdesign</a>
</pre>
